import java_cup.runtime.*;
import java.io.*;
import java.util.Scanner;
import java.util.Stack;

public class Interpreter {
	public static void main(String [] args) {
		Scanner scan = new Scanner(System.in);	
		String input;

		parser p;
		Symbol parseTree = new Symbol(0);

		do {
			System.out.print("> ");
			input = scan.nextLine();

			if (!input.equals("quit")) {
				try {
				p = new parser(new StringReader(input));
				parseTree = p.parse();
				System.out.println(parseTree.value);
				} catch (Exception e) { e.printStackTrace(); }
			}
		} while (!input.equals("quit"));

	}
}
